Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.struts.adapter.util.rewriter
Class DefaultStrutsURLRewriter

    java.lang.Object
      com.bea.struts.adapter.util.rewriter.StrutsURLRewriter
          com.bea.struts.adapter.util.rewriter.DefaultStrutsURLRewriter

    public abstract class DefaultStrutsURLRewriter

extends StrutsURLRewriter

This abstract class is intended to be implemented only by BEA Weblogic Portal.BEA Systems reserves the right to add abstract methods to this abstract class without notice. Extensions of this abstract class by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Field Summary

Fields inherited from class com.bea.struts.adapter.util.rewriter.StrutsURLRewriter
`ACTION_SECURE, ACTION_UNSECURE, NO_TYPE, RESOURCE_SECURE, RESOURCE_UNSECURE`

Constructor Summary
`DefaultStrutsURLRewriter()`

Method Summary
`abstract String` | `createActionURL(PageContext pageContext, String action, String type)`
`static boolean` | `isAbsoluteURI(String uri)` Deprecated
`String` | `rewriteName(ServletContext servletContext, ServletRequest request, String name)` Rewrite the given query parameter name.
`abstract String` | `rewriteURL(ServletContext servletContext, ServletRequest request, ServletResponse response, String url, String type)` Rewrite the given URL.

Methods inherited from class com.bea.struts.adapter.util.rewriter.StrutsURLRewriter
`getNextRewriter, isStandAloneForward, setNextRewriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultStrutsURLRewriter

    public DefaultStrutsURLRewriter()

Method Detail

### rewriteName

    public String rewriteName(ServletContext servletContext,
                              ServletRequest request,
                              String name)

  Description copied from class: `StrutsURLRewriter`
  Rewrite the given query parameter name.

  Specified by:
    `rewriteName` in class `StrutsURLRewriter`
  Parameters
    `servletContext` - the current ServletContext.
    `request` - the current HttpServletRequest.
    `name` - the query parameter name to rewrite.
  Returns
    the rewritten query parameter name.

### rewriteURL

    public abstract String rewriteURL(ServletContext servletContext,
                                      ServletRequest request,
                                      ServletResponse response,
                                      String url,
                                      String type)

  Description copied from class: `StrutsURLRewriter`
  Rewrite the given URL.

  Specified by:
    `rewriteURL` in class `StrutsURLRewriter`
  Parameters
    `servletContext` - the current ServletContext.
    `request` - the current HttpServletRequest.
    `response` - the current HttpServletResponse.
    `url` - the URL to rewrite.
    `type` - the type of URL to be rewritten. This is one of the following values:
    - `action`: a standard (non-resource) URL, for which SSL is not required
    - `secure-action`: a standard (non-resource) URL, for which SSL is required
    - `resource`: a resource (e.g., image) URL, for which SSL is not required
    - `secure-resource`: a resource (e.g., image) URL, for which SSL is required
  Returns
    the rewritten URL.

### isAbsoluteURI

    public static boolean isAbsoluteURI(String uri)

  Deprecated

  Tell whether a given URI is absolute, i.e., whether it contains a scheme-part (e.g., "http:").

  Parameters
    `uri` - the URI to test.
  Returns
    `true` if the given URI is absolute.

### createActionURL

    public abstract String createActionURL(PageContext pageContext,
                                           String action,
                                           String type)

  Specified by:
    `createActionURL` in class `StrutsURLRewriter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved